package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsContractPayment;
import java.util.List;

public interface IPmsContractPaymentService {
    /**
     * 查询合同付款列表
     */
    List<PmsContractPayment> selectList(PmsContractPayment contractPayment);

    /**
     * 根据主键查询合同付款
     */
    PmsContractPayment selectById(Long id);

    /**
     * 新增合同付款
     */
    int insert(PmsContractPayment contractPayment);

    /**
     * 修改合同付款
     */
    int update(PmsContractPayment contractPayment);

    /**
     * 删除合同付款
     */
    int deleteById(Long id);

    /**
     * 批量删除合同付款
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据合同ID查询合同付款列表
     */
    List<PmsContractPayment> selectByConId(Long conId);
}
